import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from './user/state';
import * as umutations from './user/mutations';
import login from './login';
// 友情链接
import link from './link';
// 系统设置
import site from './site';
// 科技政务
import column from './column';
import news from './news';
// 科技人才
// 科技人才-栏目
import talentColumn from './talentColumn';
// 科技人才-招聘信息
import talentRecruitment from './talentRecruitment';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    login,
    link,
    site,
    column,
    news,
    talentColumn,
    talentRecruitment,
  },
});
